#include "BarButton.h"
#include "Note.h"
#include "Object.h"
#include "Glob.h"

extern Glob* glob;

void BarButton::OnClick()
{
	glob->event->OnCreateBarButtonClick(this);
}

void BarButton::OnRightClick()
{
	glob->event->OnCreateBarButtonRightClick(this);
}

BarButton::BarButton()
{
	m_Button = sfg::Button::Create("hi");
	m_Button->SetClass( "vbar" );
	m_Button->GetSignal( sfg::Widget::OnLeftClick ).Connect( &BarButton::OnClick, this );
	m_Button->GetSignal( sfg::Widget::OnRightClick ).Connect( &BarButton::OnRightClick, this );
	
	m_NoteString = "";
	m_Note = NULL;
	
	m_Index = 0;
}