#include "GameOver.h"

#include "Glob.h"
extern Glob* glob;

sfg::Window::Ptr GameOver::GetPointer()
{
	return m_Window;
}

bool GameOver::Init(bool win)
{
	m_Window = sfg::Window::Create(2);
 	m_Window->SetTitle(" ");
	m_Window->SetPosition( sf::Vector2f(glob->resolution.x/2 - 400,glob->resolution.y/2 - 50) );
	m_Window->SetClass( "stat" );
	
	if (win)	m_Label = sfg::Label::Create("ALL ENEMY BASES DESTROYED - CONGRATULATIONS");
	else		m_Label = sfg::Label::Create("YOUR BASE WAS DESTROYED - GAME OVER");
	m_Label->SetClass( "gameover" );
	
	//m_Fixed->Put( m_Label1, sf::Vector2f( 200.f, 50.f ) );
	//m_Fixed->Put( m_Label2, sf::Vector2f( 50.f, 200.f ) );
	
	sfg::Box::Ptr box( sfg::Box::Create( sfg::Box::VERTICAL, 5.0f ) );
	box->Pack( m_Label );

	// Create a window and add the box layouter to it. Also set the window's title.
	m_Window->Add( box );
	
	glob->event->BringToFront(m_Window);
	
	return true;
}

void GameOver::SetPosition(sf::Vector2f pos)
{
	m_Window->SetPosition(pos);
}