#ifndef ROGUEBUTTON_H
#define ROGUEBUTTON_H

#include <string>
#include <SFGUI/SFGUI.hpp>
#include <SFML/Graphics.hpp>

class RogueWindow;

struct RogueButton
{
	void Init(RogueWindow*,char);
	void OnClick();
	void OnRightClick();
	sfg::Button::Ptr m_Button;
	int m_Index;
	
	char m_ButtonChar;
	sf::Vector2i m_pos;
	bool m_choose;
	
	RogueWindow* m_RogueWindow;
	
	void NewChar(char);
};

#endif