#ifndef STAT_HH
#define STAT_HH

#include <stdlib.h>
#include <string>

#include <SFGUI/SFGUI.hpp>
#include <SFML/Graphics.hpp>

class Stat
{
public:
	sfg::Window::Ptr GetPointer();
	bool Init();
	void SetPosition(sf::Vector2f);
	void Update();
	
private:
	sfg::Window::Ptr m_Window;
	sfg::Box::Ptr m_BoxH;
	sfg::Box::Ptr m_BoxCol1;
	sfg::Box::Ptr m_BoxCol2;
	sfg::Label::Ptr m_lBase;
	sfg::Label::Ptr m_lBaseNum;
	sfg::Label::Ptr m_lRisk;
	sfg::Label::Ptr m_lRiskNum;
};

#endif