#ifndef WORLDWINDOW_H
#define WORLDWINDOW_H

#include <stdlib.h>
#include <vector>

#include <SFGUI/SFGUI.hpp>
#include <SFML/Graphics.hpp>

#include "Object.h"

class World;

class WorldWindow
{
public:
	sfg::Window::Ptr GetPointer();
	bool Init(World* world);
	void Update(std::list<Object*>);
	
private:
	sfg::Window::Ptr m_Window;
	sfg::Fixed::Ptr m_Fixed;
	//sfg::Label::Ptr m_Label1;
	//sfg::Label::Ptr m_Label2;
	std::list<sfg::Label::Ptr> m_Labels;
	
	sfg::Image::Ptr m_Image;
	World* m_World;
};

#endif